Update Calculation Assumptions
curl --request PUT \
--url https://api.realtimelca.com/rest/api/BuildingProject/updatecalculationassumptions/{buildingProjectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referencedAreas": {
"values": {
"8": 15
},
"totalAreaIncludingBasement": 185,
"totalReferencedAreaInclBasement": 188.75,
"basementFloors": 0,
"areaAboveGround": 185,
"floorsAboveGround": 1,
"areaBelowGround": 0
},
"calculationType": {
"calculationTypeEnum": 0,
"considerationPeriod": 42,
"extraThresholds": [],
"thresholdLimitWithoutExtra": 42,
"thresholdLimitWithExtra": 12
},
"heatArea": {
"heatedFloorAreaAboveGround": 185,
"heatedBasementArea": 0
},
"soilData": {
"movedByMachinery": 0,
"movedAmountM3": 0
},
"projectEnergyData": {
"operationHeatConsumption": 1.2,
"operationElectricityConsumption": 3.2,
"operationElectricitySupply": 0,
"operationHeatSupply": 0,
"operationExportedElectricity": 20,
"constructHeatConsumption": 0,
"constructElectricityConsumption": 0,
"constructElectricitySupply": 0,
"constructHeatSupply": 0,
"validatedBy": "mrh",
"validationDate": "2020-02-20"
},
"metaDataRequest": {
"yearOfConstruction": 2042,
"yearOfStart": 2024,
"includedPhases": [
"A4",
"A5",
"B1",
"B2",
"B3",
"B4",
"B5",
"B6",
"B7"
],
"includedPhasesTranslated": [
"A1A3",
"B4",
"C3",
"C4",
"D"
]
}
}
'Project
Update Calculation Assumptions
Updates the calculation assumptions for a specific building project. This endpoint allows you to configure referenced areas, calculation type, heat area, soil data, energy data, and project metadata used in the LCA (Life Cycle Assessment) calculations.
PUT
/
BuildingProject
/
updatecalculationassumptions
/
{buildingProjectId}
Update Calculation Assumptions
curl --request PUT \
--url https://api.realtimelca.com/rest/api/BuildingProject/updatecalculationassumptions/{buildingProjectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referencedAreas": {
"values": {
"8": 15
},
"totalAreaIncludingBasement": 185,
"totalReferencedAreaInclBasement": 188.75,
"basementFloors": 0,
"areaAboveGround": 185,
"floorsAboveGround": 1,
"areaBelowGround": 0
},
"calculationType": {
"calculationTypeEnum": 0,
"considerationPeriod": 42,
"extraThresholds": [],
"thresholdLimitWithoutExtra": 42,
"thresholdLimitWithExtra": 12
},
"heatArea": {
"heatedFloorAreaAboveGround": 185,
"heatedBasementArea": 0
},
"soilData": {
"movedByMachinery": 0,
"movedAmountM3": 0
},
"projectEnergyData": {
"operationHeatConsumption": 1.2,
"operationElectricityConsumption": 3.2,
"operationElectricitySupply": 0,
"operationHeatSupply": 0,
"operationExportedElectricity": 20,
"constructHeatConsumption": 0,
"constructElectricityConsumption": 0,
"constructElectricitySupply": 0,
"constructHeatSupply": 0,
"validatedBy": "mrh",
"validationDate": "2020-02-20"
},
"metaDataRequest": {
"yearOfConstruction": 2042,
"yearOfStart": 2024,
"includedPhases": [
"A4",
"A5",
"B1",
"B2",
"B3",
"B4",
"B5",
"B6",
"B7"
],
"includedPhasesTranslated": [
"A1A3",
"B4",
"C3",
"C4",
"D"
]
}
}
'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
default
Response schema not yet documented in the upstream Postman spec.
⌘I

